diff -urN config.orig/conf.pl config/conf.pl
--- config.orig/conf.pl	Sat Feb  4 00:27:46 2006
+++ config/conf.pl	Sun May 14 00:23:52 2006
@@ -1064,6 +1064,7 @@
     print "    uw          = University of Washington's IMAP server\n";
     print "    exchange    = Microsoft Exchange IMAP server\n";
     print "    courier     = Courier IMAP server\n";
+    print "    dovecot     = Dovecot IMAP server\n";
     print "    macosx      = Mac OS X Mailserver\n";
     print "    hmailserver = hMailServer\n";
     print "    other       = Not one of the above servers\n";
@@ -1422,6 +1423,8 @@
         # add the trailing delimiter only if we know what the server is.
         if (($imap_server_type eq 'cyrus' and
                   $optional_delimiter eq 'detect') or
+		 ($imap_server_type eq 'dovecot' and
+		  $optional_delimiter eq 'detect') or
                  ($imap_server_type eq 'courier' and
                   $optional_delimiter eq 'detect')) {
            $new_default_folder_prefix =~ s/\.*$/\./;
@@ -3212,6 +3215,7 @@
         print "Please select your IMAP server:\n";
         print "    bincimap    = Binc IMAP server\n";
         print "    courier     = Courier IMAP server\n";
+	print "    dovecot     = Dovecot IMAP server\n";
         print "    cyrus       = Cyrus IMAP server\n";
         print "    dovecot     = Dovecot Secure IMAP server\n";
         print "    exchange    = Microsoft Exchange IMAP server\n";
@@ -3277,6 +3281,20 @@
             $draft_folder                   = "Drafts";
             $show_prefix_option             = false;
             $default_sub_of_inbox           = false;
+            $show_contain_subfolders_option = false;
+            $optional_delimiter             = ".";
+            $disp_default_folder_prefix     = $default_folder_prefix;
+            $delete_folder                  = true;
+            
+            $continue = 1;
+        } elsif ( $server eq "dovecot" ) {
+            $imap_server_type               = "dovecot";
+            $default_folder_prefix          = "";
+            $trash_folder                   = "Trash";
+            $sent_folder                    = "Sent";
+            $draft_folder                   = "Drafts";
+            $show_prefix_option             = true;
+            $default_sub_of_inbox           = true;
             $show_contain_subfolders_option = false;
             $optional_delimiter             = ".";
             $disp_default_folder_prefix     = $default_folder_prefix;
